export default defineEventHandler(async (event) => {
    const { public: { apiBase } } = useRuntimeConfig();
    const token = getCookie(event, 'token');
    const body = await readBody(event);

    try {
        const data = await $fetch(`${apiBase}/user/registerCourse`, {
            method: 'POST',
            headers: {
                'Accept': 'application/json',
                'Authorization': `Bearer ${token}`
            },
            body
        });

        return data;
    } catch (error) {

if (error.status === 406) {
    return{
        status: 406,
        message: 'شما در این دوره شرکت کرده اید !!!'
    }
}else{
    return{
        status: 500,
        message: 'عملیات با مشکل مواجه شد، کمی بعد تلاش کنید.'
    }
}
        return error;
    }

})